﻿using Chatbot.Api.Application.Events;
using NDB.Application.DataContracts;
using System;

namespace Chatbot.Api.Application.Commands
{
    public class SaveChatMessage : Command<ChatMessageSaved>
    {
        public Guid ChatId { get; }
        public int MessageSourceId { get; }
        public DateTime MessageDate { get; }
        public string MessageContent { get; }

        public SaveChatMessage(Guid chatId, int messageSourceId, DateTime messageDate, string messageContent)
            : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            ChatId = chatId;
            MessageSourceId = messageSourceId;
            MessageDate = messageDate;
            MessageContent = messageContent;
        }
    }
}
